### Method

# EDataServer SourceMailComposition set_templates_folder

since: 3.6

#### Declaration [src]

    void
    e_source_mail_composition_set_templates_folder (
      ESourceMailComposition* extension,
      const gchar* templates_folder
    )

#### Description [src]

Sets the preferred folder for message templates by an identifier string. The format of the identifier string is defined by the client application.

The internal copy of `templates_folder` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceMailComposition:templates-folder`

#### Parameters

`templates_folder`

  Type: `const gchar*`

  An identifier for the preferred templates folder, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.